---

image: registry.gitlab.com/ifb-elixirfr/docker-images/docker-with-molecule:molecule-6.0.3_ansible-9.1.0
services:
  - name: docker:dind
    command: [ "--tls=false" ]
variables:
  DOCKER_HOST: tcp://docker:2375/
  DOCKER_DRIVER: overlay2
  # See https://github.com/docker-library/docker/pull/166
  DOCKER_TLS_CERTDIR: ""

.BaseTest:
  retry: 2
  before_script:
    - python --version
    - pip --version
    - ansible --version
    - molecule --version
    - docker --version
  script:
    # yamllint disable-line rule:line-length
    - NAME=$(basename $(pwd)) ROLENAME=$(echo $NAME | sed -e s/ansible-//g) && cd .. &&  ln -fs $NAME $ROLENAME && cd $ROLENAME && pwd
    # yamllint disable-line rule:line-length
    - TMPDIR=$(mktemp -d -t ci-XXXXXXXXXX) INSTANCE=$(basename $TMPDIR) molecule test
  tags:
    - docker
    - ifb

CentOS 7:
  extends: .BaseTest
  variables:
    DISTRO: "centos7"

Ubuntu 18.04:
  extends: .BaseTest
  variables:
    DISTRO: "ubuntu1804"

Ubuntu 20.04:
  extends: .BaseTest
  variables:
    DISTRO: "ubuntu2004"
